View Issue Details

IDProjectCategoryView StatusLast Update
0000875SymmetricDSBugpublic2014-02-02 20:52
ReporterchensonAssigned Tochenson 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version3.1.7 
Target Version3.1.8Fixed in Version3.1.8 
Summary0000875: Node attempts to re-register when it attempts to pull from a non-registration server node that does yet have its security record
DescriptionNode attempts to re-register when it attempts to pull from a non-registration server node that does yet have its security record.

https://sourceforge.net/p/symmetricds/discussion/739236/thread/5721a15b/
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master 924b37b6

2012-10-24 13:04:19

chenson

Details Diff
0000875: Node attempts to re-register when it attempts to pull from a non-registration server node that does yet have its security record
0000875
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/io/DefaultOfflineClientListener.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/AbstractOfflineDetectorService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataLoaderService.java Diff File

SymmetricDS: master dd2c00db

2012-10-25 14:10:35

chenson

Details Diff
0000875: Node attempts to re-register when it attempts to pull from a non-registration server node that does yet have its security record
0000875
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/io/DefaultOfflineClientListener.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/AbstractOfflineDetectorService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/PullService.java Diff File
mod - symmetric-server/src/main/java/org/jumpmind/symmetric/web/PullUriHandler.java Diff File

Issue History

Date Modified Username Field Change
2012-10-24 07:45 chenson New Issue
2012-10-24 07:45 chenson Status new => assigned
2012-10-24 07:45 chenson Assigned To => chenson
2012-10-24 13:07 chenson Status assigned => resolved
2012-10-24 13:07 chenson Fixed in Version => 3.2.0
2012-10-24 13:07 chenson Resolution open => fixed
2012-10-29 09:24 chenson Fixed in Version 3.2.0 => 3.1.8
2012-10-29 09:25 chenson Target Version 3.2.0 => 3.1.8
2012-10-29 09:25 chenson Status resolved => closed
2014-02-02 20:52 Changeset attached => SymmetricDS trunk r6376
2014-02-02 20:52 Changeset attached => SymmetricDS trunk r6378
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master dd2c00db
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 924b37b6